## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.6.0
%bcond_without check

# https://github.com/hetznercloud/cli
%global goipath         github.com/hetznercloud/cli
Version:                1.43.1

%gometa

%global common_description %{expand:
A command-line interface for Hetzner Cloud.}

%global golicenses      LICENSE
%global godocs          examples CHANGES.md README.md

Name:           hcloud
Release:        %autorelease
Summary:        A command-line interface for Hetzner Cloud

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

ExcludeArch:    %{ix86}

%description
%{common_description}

%gopkg

%prep
%goprep

# Upstream uses goreleaser to set the version, but we need to set it manually here.
sed 's/versionPrerelease = "dev"/versionPrerelease = ""/' -i internal/version/version.go

%generate_buildrequires
%go_generate_buildrequires

%build
for cmd in cmd/* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

# Build shell completions.
for SHELL in bash fish zsh; do
    %{gobuilddir}/bin/%{name} completion $SHELL > %{name}.${SHELL}
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

# Install shell completions.
install -Dp %{name}.bash %{buildroot}%{_datadir}/bash-completion/completions/%{name}
install -Dp %{name}.fish %{buildroot}%{_datadir}/fish/vendor_completions.d/%{name}.fish
install -Dp %{name}.zsh %{buildroot}%{_datadir}/zsh/site-functions/_%{name}


%if %{with check}
%check
%gocheck
%endif

%files
%license LICENSE
%doc examples README.md
%{_bindir}/*
%{_datadir}/bash-completion/completions/%{name}
%dir %{_datadir}/bash-completion
%dir %{_datadir}/bash-completion/completions
%{_datadir}/fish/vendor_completions.d/%{name}.fish
%dir %{_datadir}/fish
%dir %{_datadir}/fish/vendor_completions.d
%{_datadir}/zsh/site-functions/_%{name}
%dir %{_datadir}/zsh
%dir %{_datadir}/zsh/site-functions

%gopkgfiles

%changelog
## START: Generated by rpmautospec
* Tue Apr 23 2024 Packit <hello@packit.dev> - 1.43.1-1
- Update to 1.43.1 upstream release
- Resolves: rhbz#2276589

* Wed Apr 10 2024 Major Hayden <major@redhat.com> - 1.43.0-1
- Update to 1.43.0 rhbz#2273306

* Wed Apr 10 2024 Major Hayden <major@redhat.com> - 1.42.0-5
- Disable auto koji builds

* Thu Feb 22 2024 Major Hayden <major@redhat.com> - 1.42.0-4
- Set version number rhbz#2264160

* Sun Feb 11 2024 Maxwell G <maxwell@gtmx.me> - 1.42.0-3
- Rebuild for golang 1.22.0

* Thu Feb 01 2024 Major Hayden <major@redhat.com> - 1.42.0-2
- Bump revision number

* Thu Feb 01 2024 Packit <hello@packit.dev> - 1.42.0-1
- [packit] 1.42.0 upstream release
- Resolves rhbz#2262342

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.41.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.41.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Dec 23 2023 Packit <hello@packit.dev> - 1.41.1-1
- [packit] 1.41.1 upstream release
- Resolves rhbz#2255679

* Wed Dec 13 2023 Packit <hello@packit.dev> - 1.41.0-1
- [packit] 1.41.0 upstream release
- Resolves rhbz#2254361

* Tue Dec 05 2023 Major Hayden <major@redhat.com> - 1.40.0-2
- Set version number rhbz#2251071

* Fri Dec 01 2023 Felix Kolwa <fkolwa@redhat.com> - 1.40.0-1
- Update version to 1.40.0 rhbz#2249797

* Fri Dec 01 2023 Felix Kolwa <fkolwa@redhat.com> - 1.39.0-1
- Revert "Update version to 1.40.0 rhbz#2249797"

* Fri Dec 01 2023 Felix Kolwa <fkolwa@redhat.com> - 1.40.0-1
- Update version to 1.40.0 rhbz#2249797

* Thu Oct 26 2023 Major Hayden <major@redhat.com> - 1.39.0-2
- Exclude 32-bit x86 arch

* Thu Oct 26 2023 Packit <hello@packit.dev> - 1.39.0-1
- [packit] 1.39.0 upstream release
- Resolves rhbz#2246325 Upstream tag: v1.39.0 Upstream commit: d638f05c

* Thu Oct 19 2023 Major Hayden <major@redhat.com> - 1.38.3-2
- Update packit config for builds/bodhi

* Mon Oct 16 2023 Packit <hello@packit.dev> - 1.38.3-1
- [packit] 1.38.3 upstream release

* Sun Oct 15 2023 Packit <hello@packit.dev> - 1.38.2-1
- [packit] 1.38.2 upstream release

* Fri Oct 13 2023 Major Hayden <major@redhat.com> - 1.38.0-1
- Update to 1.38.0

* Mon Aug 21 2023 Major Hayden <major@redhat.com> - 1.37.0-2
- Use packit on rawhide only

* Sat Aug 19 2023 Packit <hello@packit.dev> - 1.37.0-1
- [packit] 1.37.0 upstream release

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.36.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jul 13 2023 Major Hayden <major@redhat.com> - 1.36.0-2
- Add packit config

* Thu Jun 22 2023 Major Hayden <major@redhat.com> - 1.36.0-1
- Update to 1.36.0 rhbz#2216709

* Tue Jun 20 2023 Major Hayden <major@redhat.com> - 1.35.0-1
- Update to 1.35.0 rhbz#2214877

* Mon Jun 12 2023 Major Hayden <major@redhat.com> - 1.34.1-1
- Update to 1.34.1 rhbz#2211999

* Wed May 17 2023 Major Hayden <major@redhat.com> - 1.34.0-2
- Migrated to SPDX license

* Mon May 15 2023 Major Hayden <major@redhat.com> - 1.34.0-1
- Update to 1.34.0 rhbz#2203917

* Tue May 09 2023 Major Hayden <major@redhat.com> - 1.33.2-1
- Update to 1.33.2 rhbz#2196579

* Tue Apr 18 2023 Major Hayden <major@redhat.com> - 1.33.1-1
- Update to 1.33.1 rhbz#2187416

* Fri Apr 14 2023 Major Hayden <major@redhat.com> - 1.33.0-1
- Update to 1.33.0 rhbz#2186345

* Mon Mar 20 2023 Major Hayden <major@redhat.com> - 1.32.0-1
- Update to 1.32.0 rhbz#2179417

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.31.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Dec 07 2022 Major Hayden <major@redhat.com> - 1.31.1-1
- Update to 1.31.1 rhbz#2151592

* Fri Dec 02 2022 Major Hayden <major@redhat.com> - 1.31.0-1
- Update to 1.31.0 rhbz#2150264

* Mon Nov 14 2022 Major Hayden <major@redhat.com> - 1.30.4-1
- Update to 1.30.4 rhbz#2142491

* Thu Sep 29 2022 Major Hayden <major@redhat.com> - 1.30.3-2
- Specify version when building rhbz#2130676

* Tue Aug 16 2022 Major Hayden <major@redhat.com> - 1.30.3-1
- Update to 1.30.3 rhbz#2118812

* Wed Aug 10 2022 Maxwell G <gotmax@e.email> - 1.30.2-2
- Rebuild to fix FTBFS

* Tue Aug 09 2022 Major Hayden <major@redhat.com> - 1.30.2-1
- Update to 1.30.2 rhbz#2116703

* Wed Jul 27 2022 Major Hayden <major@redhat.com> - 1.30.1-1
- Update to 1.30.1 rhbz#2107395

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.30.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jul 19 2022 Maxwell G <gotmax@e.email> - 1.30.0-2
- Rebuild for
  CVE-2022-{1705,32148,30631,30633,28131,30635,30632,30630,1962} in golang

* Wed Jun 29 2022 Major Hayden <major@redhat.com> - 1.30.0-1
- Update to 1.30.0

* Sat Jun 18 2022 Robert-André Mauchin <zebob.m@gmail.com> - 1.29.5-3
- Rebuilt for CVE-2022-1996, CVE-2022-24675, CVE-2022-28327,
  CVE-2022-27191, CVE-2022-29526, CVE-2022-30629

* Tue Jun 14 2022 Major Hayden <major@redhat.com> - 1.29.5-2
- Bump release number

* Tue May 31 2022 Major Hayden 🤠 <major@redhat.com> - 1.29.5-1
- Initial import (rhbz#2091178)
## END: Generated by rpmautospec
